def putinframe(text):
    l = len(text)
    print(l)
    print("෴"*(l+6))
    print("‖"+" "*(l+4) + "‖")
    print("‖"+ "  " + text + "  "+ "‖")
    print("‖"+" "*(l+4) + "‖")
    print("෴"*(l+6))

def main():
    name = input("Type yo name:")
    putinframe(f"What's up {name}!")

if __name__ == "__main__":
    main()